<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\Core\Traits;

use ModulesGarden\Servers\ProxmoxCloudVps\Core\ServiceLocator;

trait Lang
{
    /**
     * @var null|\ModulesGarden\Servers\ProxmoxCloudVps\Core\Lang\Lang
     */
    protected $lang = null;

    public function loadLang()
    {
        if ($this->lang === null)
        {
            $this->lang = ServiceLocator::call('lang');
        }
    }
}